=== mimetypes/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE x-fortran.desktop
  DESTINATION ${MIME_INSTALL_DIR}/text
  PO_DIR tdevelop-desktops
)
