=== languages/perl/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevperlsupport.desktop perldoc.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevperlsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevperlsupport )


##### libkdevperlsupport (module) ###############

tde_add_kpart( libkdevperlsupport AUTOMOC
  SOURCES
    perlparser.cpp perlsupportpart.cpp
    perlconfigwidget.cpp perlconfigwidgetbase.ui
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeio_perldoc (module) ######################

tde_add_kpart( tdeio_perldoc
  SOURCES
    perldoc.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
