=== languages/ruby/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )
add_subdirectory( debugger )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevrubysupport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES rubytemplates DESTINATION ${DATA_INSTALL_DIR}/kdevabbrev/templates )
install( FILES kdevrubysupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevrubysupport )
install( FILES ruby_config.png ruby_run.png DESTINATION ${DATA_INSTALL_DIR}/kdevrubysupport/pics )


##### libkdevrubysupport (module) ###############

tde_add_kpart( libkdevrubysupport AUTOMOC
  SOURCES
    rubysupport_part.cpp rubyconfigwidgetbase.ui
    rubyconfigwidget.cpp tqtdesignerrubyintegration.cpp
    rubyimplementationwidget.cpp
  LINK designerintegration-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
