=== languages/sql/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/languages/sql
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevsqlsupport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevsqlsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevsqlsupport )


##### libkdevsqlsupport (module) ################

tde_add_kpart( libkdevsqlsupport AUTOMOC
  SOURCES
    sqlconfigwidget.ui sqlsupport_part.cpp sqlactions.cpp
    sqloutputwidget.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
