=== parts/astyle/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/astyle
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevastyle.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevpart_astyle.rc DESTINATION ${DATA_INSTALL_DIR}/kdevastyle )


##### libkdevastyle (module) ####################

tde_add_kpart( libkdevastyle AUTOMOC
  SOURCES
    astyle_part.cpp astyleconfig.ui astyle_widget.cpp
    astyle_adaptor.cpp
  LINK astyle-static tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
