=== parts/diff/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevdiff.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevdiff.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdiff )


##### libkdevdiff (module) ######################

tde_add_kpart( libkdevdiff AUTOMOC
  SOURCES diffpart.cpp diffwidget.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
