## tdevelop-trinity 14.1.6~pre3

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre3-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for f4a4eccce34446637b1af97c855bbb36ace58117
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:52 +0100
