## tdevelop-trinity 14.1.6~pre5

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ec99420a0cdcbac4c79cce40a79705e49633394f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 31 Dec 2025 02:20:53 +0100
