## tdevelop-trinity 14.1.6~pre8

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7010b50044b0eaa8bb6e8c4ce6ba9310e4eb3288
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:18:22 +0100
