## tdevelop-trinity 14.1.6~pre11

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre11-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for edc66e615aee11326e7c2515036aed03c94f478c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:19:51 +0100
