## tdevelop-trinity 14.1.6~pre14

=== debian/changelog ===
tdevelop-trinity (4:14.1.6~pre14-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ed5e55f3a4ebb7abd0b961e2c7fc0fb3ee393fc4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:57:16 +0100
