=== embedded/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Slavek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_conditional_add_subdirectory( BUILD_VISUALBOYADVANCE visualboyadvance )
