=== buildtools/ada/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevadaproject.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevadaproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevadaproject )


##### libkdevadaproject (module) ################

tde_add_kpart( libkdevadaproject AUTOMOC
  SOURCES
    adaproject_part.cpp adaproject_widget.cpp
    adaproject_optionsdlgbase.ui adaprojectoptionsdlg.cpp
    adaglobaloptionsdlg.cpp service.cpp
  LINK kdevbuildbase-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
