=== embedded/visualboyadvance/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Slavek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdevvisualboyadvance (module) #############

tde_add_kpart( libkdevvisualboyadvance AUTOMOC
  SOURCES
    visualboyadvance_part.cpp vbaconfigwidgetbase.ui vbaconfigwidget.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevvisualboyadvance.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install(
  FILES kdevpart_visualboyadvance.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdevvisualboyadvance
)
