=== kdevdesigner/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevdesigner.desktop
  PO_DIR tdevelop-desktops
)

install( FILES kdevdesigner_shell.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdesigner )


##### kdevdesigner (executable) #################

tde_add_executable( kdevdesigner AUTOMOC
  SOURCES main.cpp kdevdesigner.cpp
  LINK tdeparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
