=== lib/astyle/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### astyle (static) ###########################

tde_add_library( astyle STATIC_PIC
  SOURCES
    ASBeautifier.cpp ASEnhancer.cpp
    ASFormatter.cpp ASResource.cpp
)
