=== lib/cppparser/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -DKDEVELOP_BGPARSER )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    ast.h driver.h lexer.h parser.h tree_parser.h errors.h
    lookup.h cachemanager.h lexercache.h macro.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/cppparser )


##### kdevcppparser (shared) ####################

tde_add_library( kdevcppparser SHARED AUTOMOC
  SOURCES
    ast.cpp cachemanager.cpp driver.cpp errors.cpp lexer.cpp
    lexercache.cpp lookup.cpp parser.cpp tree_parser.cpp
  VERSION 0.0.0
  LINK kdevinterfaces-static tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
