=== parts/bookmarks/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevbookmarks.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)


##### libkdevbookmarks (module) #################

tde_add_kpart( libkdevbookmarks AUTOMOC
  SOURCES
    bookmarks_part.cpp bookmarks_widget.cpp bookmarks_settings_base.ui
    bookmarks_settings.cpp bookmarks_config.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
