=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre103-0ubuntu24.04.0+7) noble; urgency=low

  * Automated git build for 6a709d087ffa69c1b38625e688b834d8ad676abd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
