=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_DH_STRIP_ARGS  := --dbg-package=tdevelop-trinity-dbg

PACKAGES_WITH_LIBS := tdevelop-trinity

DEB_KDE_APIDOX := yes

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_BUILDTOOL_ALL="ON" \
 -DWITH_LANGUAGE_ALL="ON" \
 -DWITH_VCS_ALL="ON" \
 -DTQTDIR="/usr/share/tqt3"

binary-install/tdevelop-trinity::
	mkdir -p debian/tdevelop-trinity/opt/trinity/share/pixmaps
	cp debian/tdevelop.xpm debian/tdevelop-trinity/opt/trinity/share/pixmaps
	mv debian/tdevelop-trinity/usr/share/man debian/tdevelop-trinity/opt/trinity/share/
	rm debian/tdevelop-trinity/opt/trinity/lib/trinity/libkdevdesignerpart.*
	rm debian/tdevelop-trinity/opt/trinity/share/services/kdevdesigner_part.desktop
