## tdevelop-trinity 14.2.0~pre106

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre106-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 5ca6e2a00f1fdfa24893c6b401ff279f0dbec86b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:13:30 +0100
