## tdevelop-trinity 14.2.0~pre107

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre107-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for b387753da9f77da1aba8e85c0e48f3e351e54c90
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 09:27:23 +0100
