## tdevelop-trinity 14.2.0~pre108

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre108-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 98195ec8218519737d5f6e88ee9598d71fcbf8fa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 15:27:24 +0100
