## tdevelop-trinity 14.2.0~pre111

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre111-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 678372ad3c630acba3273ea42e081263269c08a0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:51 +0100
