## tdevelop-trinity 14.2.0~pre114

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre114-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 75d2e058e77a180d217a83fd16e27427f5445834
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:14:41 +0100
