## tdevelop-trinity 14.2.0~pre117

=== debian/changelog ===
tdevelop-trinity (4:14.2.0~pre117-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ce7cada3e1ce3e62e87380ca6b4f1cf598495891
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:56:57 +0100
